Bug 1413105 - Unit of memory,CPU and other metrics missing in C&U graphs
Summary: Unit of memory,CPU and other metrics missing in C&U graphs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.5
Assignee: Robin Knaur
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:c&u
Depends On: 1367560
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 16:09 UTC by Satoe Imaishi
Modified: 2018-12-11 15:26 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1367560
Environment:
Last Closed: 2018-12-11 15:26:42 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of C&U graph from 5.7.2 (66.91 KB, image/png)
2017-03-27 19:24 UTC, Nandini Chandra
no flags Details

Comment 2 CFME Bot 2017-01-13 16:46:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/1303e11f295fbe28a97e387983bd7aa8a8fcc22e

commit 1303e11f295fbe28a97e387983bd7aa8a8fcc22e
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Jan 6 14:38:27 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 13 11:11:16 2017 -0500

    Merge pull request #41 from PanSpagetka/miq_pr_13273
    
    Fix units in C&U grouped charts
    (cherry picked from commit 613fea313e5964f6fda89324eb6cecdae8d309e9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413105

 app/controllers/application_controller/performance.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2017-03-07 18:35:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/787ebd50f2b7b70574da20a106806e709ca0b842

commit 787ebd50f2b7b70574da20a106806e709ca0b842
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Feb 24 12:44:57 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 7 13:31:44 2017 -0500

    Merge pull request #382 from PanSpagetka/fix-units-in-CU-grouped
    
    Fix units formating for grouped charts
    (cherry picked from commit 0ba48fa69ce24fe35287385bab1149b8b3de072c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1413105

 lib/report_formatter/c3.rb                    |  8 +++-
 lib/report_formatter/chart_common.rb          |  1 -
 spec/lib/report_formater/c3_formatter_spec.rb | 54 +++++++++++++++++++++++++++
 3 files changed, 61 insertions(+), 2 deletions(-)

Comment 6 Nandini Chandra 2017-03-27 19:24:21 UTC
Created attachment 1266749 [details]
screen shot of C&U graph from 5.7.2

Comment 7 Nandini Chandra 2017-03-27 19:25:43 UTC
Hi Robin,

The issue still exists in 5.7.2.0.See attached screen shot.

Could you look into this?

Thanks,
Nandini

Comment 8 Robin Knaur 2017-03-28 12:14:18 UTC
Yep, table is still wrong, I will look at it.


Note You need to log in before you can comment on or make changes to this bug.